GETCoach by ID
Coach profile with current team and country.
/v2.2/coaches/ with t=info
Try it in the interactive referenceAll Coaches operations
Request
GET /v2.2/coaches/?user=USER&token=TOKEN&t=info&id=662- Every request needs the
userandtokenquery parameters of the account.
Parameters
| Name | Required | Description | Example |
|---|---|---|---|
id | yes | Coach ID. | 662 |
Example response
{
"data": {
"id": 662,
"team_id": 99,
"name": "Hans-Dieter Flick",
"common_name": "Flick",
"firstname": "Hans-Dieter",
"lastname": "Flick",
"birthday": "2065-02-24",
"birthcountry": null,
"birthplace": null,
"img": "https://cdn.soccersapi.com/images/soccer/coaches/50/662.png",
"country": {
"id": 4,
"name": "Germany",
"cc": "de"
}
},
"meta": {
"requests_left": 2950,
"user": "your_username",
"plan": "Soccer API 50",
"page": 1,
"pages": 1,
"count": 1,
"total": 1,
"msg": ""
}
}